Subject: Unnecessary compile invoked in non production context?
Description

In the initializeProxyClasses function in the Script.php file, the typo3.flow3:core:compile command will be invoked every request (even
when nothing has changed).

I experience two issues with this:
1) Even when allCompiledCodeUpToDate is true in the initializeProxyClasses function. It always is false in the executed compile
command, causing a compile in every request.

2) The compile command shouldn't be triggered in the first place (from initializeProxyClasses) when allCompiledCodeUpToDate
evaluates to TRUE.
A compile is always triggered in non production context. When the compile runs (when issue 1 is solved) it doesn't do a compilation
(because allCompiledCodeUpToDate then is TRUE), but you would still have the bootstrap of the compilation sub process. So in my
opinion calling the compile in the first place is unnecessary.

I've discussed this issue on the IRC channel on 19-7-2012 (maybe useful to check the IRC logs)

Related issues:
related to TYPO3.Flow - Bug # 41497: PackageStates are written on each request Resolved 2012-10-01

History
#1 - 2012-07-25 12:30 - Karsten Dambekalns
- Target version set to 2.0 beta 1

#2 - 2012-12-12 09:21 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.0

#3 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1
